=== debian/changelog ===
atari800 (1.3.2-1) unstable; urgency=low

  * New upstream source and new maintainer (closes: #226787).
  * Debian/control: remove debhelper and sharutils from Build-Depends.
  * Debian/rules: handle DEB_BUILD_OPTIONS=noopt,
    clean: removes src/Makefile and src/config.{h,log,status}.
  * Update config.{guess,sub} from autotools-dev-20040105.1.
  * Patch src/rdevice.c::581,583 to use '/dev/ttyS0' on all archs.
  * Add some notes of new maintainer to README.Debian - thanks Dale.
 
 -- Martin Albert <ma@debian.org>  Thu, 19 Feb 2004 20:09:49 +0100

atari800 (1.3.1-2) unstable; urgency=low

  * Fixed broken syntax in last changelog entry. Closes: #203707
  * Changed dependency from xlib6g-dev to xlibs-dev. Closes: #209203
  * Repaired bad patch. Now deliver upstream changelog and NEWS
  * Updated /etc/atari800.cfg example in /usr/share/doc/atari800
  *                provided by upstream author.
  * Fixed several Lintian Warnings/Errors:
  *     Removed /usr/share/doc/atari800/INSTALL.gz
  *     Removed postinst usr-doc-link code
  *     Added copyright reference to /usr/share/common-licenses

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Wed,  8 Oct 2003 17:26:37 -0400

atari800 (1.3.1-1) unstable; urgency=low

  * new upstream source
  *        updated configure files.  Closes: #193397
  * removed svgalib version, security fix installed upstream. Closes 203707

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  6 Sep 2003 17:14:56 -0400

atari800 (1.3.0-2) unstable; urgency=low

  * changed build depends from xlib6g-dev to xlibs-dev and libncurses-dev
  *     to libncurses5-dev. Closes: #188777
  * new system wide config file example in /usr/share/doc/atari800/atari800.cfg
  *     for details see /usr/share/doc/atari800/README.Debian

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 13 May 2003 19:00:50 -0400

atari800 (1.3.0-1) unstable; urgency=low

  * new upstream source. (error in last entry ;-)
  * modified config and added sdl target to the build

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 12 Apr 2003 14:56:16 -0400

atari800 (1.2.2-1) unstable; urgency=low

  * new upstream source. Finally catching up...

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat, 16 Mar 2002 20:32:22 -0500

atari800 (1.0.7-3) unstable; urgency=low

  * Compiled against libncurses5-dev. Closes: #132589

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  9 Feb 2002 14:32:05 -0500

atari800 (1.0.7-2) unstable; urgency=low

  * Fixed rules file so svgalib version is only built/installed 
  *         on i386 architectures. Closes: #122282, #122779
  * Added patch to wrap LED_lastline in SET_LED #ifdef to allow reasonable
  *         feature selection. Thanks Stephen!
  * Fixed USAGE docs for curses mode keyboard controls to declare
  *         the F8 function key starts basic mode operations.

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Fri,  7 Dec 2001 11:47:05 -0500

atari800 (1.0.7-1) unstable; urgency=low

  * New upstream source. Closes: #81032
  * Changed Maintainer to match signature. Closes: #104829
  * Compiled with sound enabled. Closes: #70940

 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Sat,  3 Nov 2001 17:25:15 -0500

atari800 (0.9.9f-3) unstable; urgency=low

  * Added sharutils to build-depends. Closes: #104829
  
 -- Dale Scheetz (Dwarf #1) <dwarf@polaris.net>  Tue, 25 Sep 2001 12:46:15 -0400

atari800 (0.9.9f-2) unstable; urgency=low

  * new maintainer...

 -- Dale Scheetz <dwarf@polaris.net>  Sat, 26 Aug 2000 08:11:23 -0400

atari800 (0.9.9f-1) unstable; urgency=low

  * Hm, seems this is the package time forgot. I missed checking this into
    cvs when I converted, and then forgot about it.
  * New upstream version which fixes X. Closes: #57435
  * Several changes like build-depends and FHS.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  1 May 2000 15:35:26 -0700

atari800 (0.9.8a-2) unstable; urgency=low

  * Updated config file.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  9 Oct 1998 12:34:44 -0700

atari800 (0.9.8a-1) unstable; urgency=low

  * New upstream release.
  * No pristine source since upstream source is now a .zip file.
  * Corrected several apparent dos-isms in the source. Ugh.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  6 Oct 1998 21:16:02 -0700

atari800 (0.8.6-3) unstable; urgency=low

  * Don't use icon=none in menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:31:25 -0700

atari800 (0.8.6-2) unstable; urgency=low

  * Rebuilt with a newer svgalib.
  * Hacked debian/rules so it still depends on | svgalib-dummyg1.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Mar 1998 17:44:03 -0800

atari800 (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 13:15:06 -0800

atari800 (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 21 Feb 1998 12:35:57 -0800

atari800 (0.8.2-2) unstable; urgency=low

  * Updated fsf address.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 13:05:46 -0800

atari800 (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 16 Jan 1998 14:34:10 -0500

atari800 (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Libc6.
  * Moved to contrib: depends on non-free roms.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Sep 1997 18:43:42 -0400

atari800 (0.8.0-1) unstable; urgency=low

  * New upstream release
  	- Now has sound support!
  * Changed debian menu file to 1.0 format.
  * The X version no longer uses xview. This interface has been obsoleted by
    the menu system that appears if you hit F1.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 20 Apr 1997 22:06:04 -0400

atari800 (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@master.debian.org>  Wed, 2 Apr 1997 18:58:37 -0500

atari800 (0.6.2-1) unstable; urgency=low

  * New upstream release.

